#
# spec file for package php5-pear-auth_sasl (Version 1.0.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
#

# norootforbuild

%if 0%{?suse_version} >= 1010
%define _name    php5-pear-auth_sasl
%define _version 1.0.2
%define _phpdir  php5
%define _phpbin  %{_bindir}/php5
%define _peardir PEAR
%define _pear    pear5
%endif
%if 0%{?suse_version} < 1010 && 0%{?suse_version} > 0
%define _name    php4-pear-auth_sasl
%define _version 1.0.1
%define _phpdir  php
%define _phpbin  %{_bindir}/php
%define _peardir /
%define _pear    pear
%endif

%if 0%{?centos_version} || 0%{?fedora_version} || 0%{?rhel_version}
%define _name    php-pear-auth_sasl
%define _version 1.0.1
%define _phpdir  php
%define _phpbin  %{_bindir}/php
%define _peardir /
%define _pear    pear
%endif

%define peardir  %{_datadir}/%{_phpdir}/%{_peardir}

Name:           %{_name}
%if 0%{?suse_version} >= 1010
Requires:		php5-pear
BuildRequires:  	php5-pear
%endif

%if 0%{?suse_version} < 1010 && 0%{?suse_version} > 0
Requires:               php4-pear
BuildRequires:   	php4-pear
%endif

%if 0%{?centos_version} || 0%{?fedora_version} || 0%{?rhel_version}
Requires:		php-pear
BuildRequires:	 	php-pear
%endif

License:        BSD
Group:          Productivity/Networking/Web/Servers
Version:        %{_version}
Release:        1.4
Summary:        PEAR abstraction of various SASL mechanism responses
URL:            http://pear.php.net/package/Auth_SASL
Provides:       php-pear-auth_sasl
Source0:        http://pear.php.net/get/Auth_SASL-1.0.2.tgz
Source1:        http://pear.php.net/get/Auth_SASL-1.0.1.tgz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This PEAR class provides code to generate responses to common SASL
mechanisms, including:

o Digest-MD5

o CramMD5

o Plain

o Anonymous

o Login (Pseudo mechanism)



Authors:
--------
    Richard Heyes
    Michael Bretterklieber <michael@bretterklieber.com>
    Damian Alejandro Fernandez Sosa

%debug_package
%prep
# we need 2 different versions. the latest one doesn't work
# on <= 10.0 because they've a too old pear version
%if %suse_version >= 1010
%setup -c -a 0
%else
%setup -c -a 1
%endif

%build

%install
%__mv package*.xml Auth_SASL-%{version}
cd Auth_SASL-%{version}
PHP_PEAR_PHP_BIN="%{_phpbin} -d memory_limit=50m" %{_pear} -v -d doc_dir=%{_docdir}/%{name} install -R "$RPM_BUILD_ROOT" package.xml
%__rm -rf "$RPM_BUILD_ROOT"/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

%clean
%__rm -rf %{BuildRoot}

%files
%defattr(-, root, root)
%{peardir}/Auth

%changelog -n %{name}
* Fri Jun 13 2006 - Marcus Hüwe <suse-tux@gmx.de>
- updated to version 1.0.2
- added rpmmacros (changed "mv" to "%__mv" etc.)
- removed #usedforbuild, added %clean-macro
- made spec file portable for older/newer suse_versions
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 19 2006 - mmarek@suse.de
- fix filelist, remove temporary files created by pear installer
- unify php5-pear-*.spec files
- increase php's memory_limit during installation (parsing
  xml needs more than default 8M sometimes)
* Mon Jan 16 2006 - mmarek@suse.cz
- created package to satisfy horde dependencies
